Name:           kernel-module-ipw2100
Version:        0.45
Release:        0.fdr.6.2
Summary:        kernel module for Intel Pro Wireless 2100 network adaptor.

Group:          System Environment/Kernel
License:        GPL
URL:            http://ipw2100.sourceforge.net/
Source:         http://download.sourceforge.net/ipw2100/ipw2100-%{version}.tgz
Patch:          ipw2100.autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# what kernel are we building for ?
%{!?kernel: %define kernel %(uname -r)}
# get the correct kernel package release by stripping kernel modifiers
%define krel %(echo %{kernel} | sed -e s/smp//g -)
# get a type modifier for the kernel, (null) or -smp
%if %(echo %{kernel} | grep -c smp)
  %{expand:%%define ktype -smp}
%else
  %define ktype %{nil}
%endif

# what kernel "flavor" are we building for ?
%{expand:%%define post26 %(if echo %{kernel} | grep -c "^2\.[01234]" > /dev/null; then echo 0; else echo 1; fi)}

%if %{post26}
BuildRequires: kernel-module-devel-%{krel}
BuildRequires: kernel-module-hostap-devel-%{krel}
ExclusiveArch: i586 i686
%else
BuildRequires: kernel-source = %{krel}
BuildRequires: kernel-module-hostap-%{krel}
ExclusiveArch: i686 athlon
%endif

# where the kernel build tree lives for 2.6
%define basedeveldir %{_libdir}/kernel-module-devel-%{krel}
%define develdir %{basedeveldir}/kernel%{ktype}-%{krel}.%{_target_cpu}.rpm

# since we have a patch to the build and run autogen.sh
BuildRequires: automake
BuildRequires: autoconf

# we don't want debug packages
%define __debug_package 0

%description
This package contains a kernel module for the Intel Pro Wireless 2100
network adaptor.

You can rebuild this RPM by using
--target target_arch
--define "kernel (uname -r value)"

%package %{kernel}
Summary:        %{summary}
Group:          System Environment/Kernel
Provides:       kernel-module
Provides:       kernel-module-ipw2100 = %{version}-%{release}
Requires:       /boot/vmlinuz-%{kernel}
# We require the hostap module
Requires:       kernel-module-hostap-%{krel}
# and firmware file
Requires:       /etc/firmware/ipw2100-1.1.fw
Requires(pre):  modutils

%description %{kernel}
This package contains a kernel module for the Intel 2100 Pro Wireless network
driver.

%prep
%setup -q -n ipw2100-%{version}
%patch -p2

%build
%if %{post26}
bash autogen.sh || true
%configure --with-linuxdir=%{develdir}
%else
bash autogen.sh || true
%configure \
  --with-rpm-target=%{_target_cpu} \
  --with-kernel-release=%{kernel} \
  --with-linuxdir=/usr/src/linux-%{krel}
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall modulesdir=$RPM_BUILD_ROOT/lib/modules/%{kernel}

%clean
rm -rf $RPM_BUILD_ROOT

%post %{kernel}
depmod -ae -F /boot/System.map-%{kernel} %{kernel} > /dev/null

%postun %{kernel}
depmod -ae -F /boot/System.map-%{kernel} %{kernel} > /dev/null

%files %{kernel}
%defattr(-,root,root,-)
/lib/modules/%{kernel}/kernel/drivers/net/wireless/ipw2100.*o

%changelog
* Tue Jul 06 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.45-0.fdr.6: sync with upstream as-*.m4

* Thu Jun 17 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.45-0.fdr.5: various cleanups

* Tue Jun 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.45-0.fdr.4: don't build debug packages

* Fri Jun 04 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.45-0.fdr.3: fix requires

* Fri Jun 04 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.45-0.fdr.2: rebuilt against new hostap build and kernel packages
- this one works for 2.4 and 2.6

* Sat May 22 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- rebuilt for 0.45 against new hostap build packages

* Thu Apr 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial package
